Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.versioned
Class TxCache

    java.lang.Object
      org.jboss.util.LRUCachePolicy
          org.jboss.aspects.versioned.TxCache

All Implemented Interfaces:
  org.jboss.util.CachePolicy

public class TxCache
extends org.jboss.util.LRUCachePolicy

This is a LRU cache. The TxCache itself is not transactional but any accesses to objects within the cache ARE transactional.

Nested Class Summary

Nested classes inherited from class org.jboss.util.LRUCachePolicy
`org.jboss.util.LRUCachePolicy.LRUCacheEntry, org.jboss.util.LRUCachePolicy.LRUList`

Field Summary
`protected long` | `lockTimeout`
`protected LocalSynchronizationManager` | `synchManager`
`protected DistributedVersionManager` | `versionManager`

Fields inherited from class org.jboss.util.LRUCachePolicy
`m_list, m_map, m_maxCapacity, m_minCapacity`

Constructor Summary
`TxCache(int maxSize, long lockTimeout)`

Method Summary
`void` | `insert(Object key, Object obj)`

Methods inherited from class org.jboss.util.LRUCachePolicy
`ageOut, cacheMiss, create, createCacheEntry, createList, destroy, flush, get, peek, remove, size, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lockTimeout

    protected long lockTimeout

### synchManager

    protected LocalSynchronizationManager synchManager

### versionManager

    protected DistributedVersionManager versionManager

Constructor Detail

### TxCache

    public TxCache(int maxSize,
                   long lockTimeout)

Method Detail

### insert

    public void insert(Object key,
                       Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.